org.apache.solr.search

## Class WrappedQuery

- java.lang.Object
- - org.apache.lucene.search.Query
  - - org.apache.solr.search.ExtendedQueryBase
    - - org.apache.solr.search.WrappedQuery

- All Implemented Interfaces:
    ExtendedQuery

      public final class WrappedQuery
      extends ExtendedQueryBase

  A simple query that wraps another query and implements ExtendedQuery.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WrappedQuery(Query q)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Weight` | `createWeight(IndexSearcher searcher, boolean needsScores)`
    `boolean` | `equals(Object obj)`
    `Query` | `getWrappedQuery()`
    `int` | `hashCode()`
    `Query` | `rewrite(IndexReader reader)`
    `void` | `setWrappedQuery(Query q)`
    `String` | `toString(String field)`

    - ### Methods inherited from class org.apache.solr.search.ExtendedQueryBase

      `getCache, getCacheSep, getCost, getOptions, getOptionsString, setCache, setCacheSep, setCost`

    - ### Methods inherited from class org.apache.lucene.search.Query

      `classHash, sameClassAs, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WrappedQuery

          public WrappedQuery(Query q)

  - ### Method Detail

    - #### getWrappedQuery

          public Query getWrappedQuery()

    - #### setWrappedQuery

          public void setWrappedQuery(Query q)

    - #### createWeight

          public Weight createWeight(IndexSearcher searcher,
                                     boolean needsScores)
                              throws IOException

      Overrides:
        `createWeight` in class `Query`
      Throws:
        `IOException`

    - #### rewrite

          public Query rewrite(IndexReader reader)
                        throws IOException

      Overrides:
        `rewrite` in class `Query`
      Throws:
        `IOException`

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in class `Query`

    - #### equals

          public boolean equals(Object obj)

      Specified by:
        `equals` in class `Query`

    - #### toString

          public String toString(String field)

      Overrides:
        `toString` in class `ExtendedQueryBase`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.